tau=1;
Kg=1;

sys=tf(Kg,[tau 1]);

T=3; % Simulation time
h=plot(0:T,ones(size(0:T)),'r');
set(h,'linewidth',2.0);
hold on
axis([0 T -0.2 1.2])

for Kp=[10 5 2 1];
   
   tauc=tau/(1+Kg*Kp);
Kc=Kg*Kp/(1+Kg*Kp);

sysc=tf(Kc,[tauc 1]);
[y,t]=step(sysc,T);

h=plot(t,y);
set(h,'linewidth',2.0);

h=text(2.4,Kc+.05,sprintf('K_p=%5.0f',Kp));
set(h,'Fontsize',16','Fontname','cmr9')
end
hold off


